typedef struct {
    char *name;
    int  freq;
    short rno;  /* num for remote control */
    char flag;
    char *tv_schedule_html;
    int ofs_x0, ofs_y0, ofs_x1, ofs_y1;
#define CHAN_SELECT (1)
#define CHAN_IGNORE (2)
} CHANLIST;

typedef struct CHANLISTS {
    char             *name;
    CHANLIST         *list;
    int              count;
} CHANLISTS;

extern CHANLIST  *chanlist , *pchan_current;
extern int       chanlistN;

extern CHANLISTS  chanlists[];
extern int chanlistsN;


void p_err(char *fmt,...);
void dbg(char *fmt,...);

extern int chan_idx;
int freq_khz_radiodev(int freq);
void set_tuner_freq(int freqkhz);
void prev_channel(), next_channel();
void free_chanlist();
void set_channel_pch_0(CHANLIST *pch);
void set_channel_chan_idx();
void load_chanlist();
void freq_fine_tune_down();
void freq_fine_tune_up();
void set_channel_by_rno(int rno);
void scan_channel();
CHANLIST *rno2pcha(int rno);

#define iabs(i) ((i) < 0 ? -(i):(i))
