typedef enum {
   TV_DISP_OFF = 0,
   TV_OVERLAY = 1,
   TV_GRAB_MIT_SHM = 2,
   TV_GRAB_XV = 4,
   TV_OVERLAY_RECORD = 0x100,
   TV_GRAB_MIT_SHM_RECORD = 0x200,
   TV_GRAB_XV_RECORD = 0x400
} TV_WIN_DISP_MODE;

#define TV_WIN_DISP_MODE_GRAB (tv_win_disp_mode & (TV_GRAB_MIT_SHM|TV_GRAB_XV))
#define TV_WIN_DISP_MODE_GRAB_RECORD (tv_win_disp_mode & (TV_GRAB_XV_RECORD))

extern TV_WIN_DISP_MODE tv_win_disp_mode;
void create_x_shm_image();
void init_v4l_mbuf();
void fftv_grab_close();
extern int win_xl,win_yl,win_x,win_y;
void normal_tv_win_frame_rate();
void slow_tv_win_frame_rate();
void stop_refresh_grab_tv_win();
void tv_pic_on(), tv_pic_off();
char *fftv_read_frame();

typedef enum {
  TV_WIN_REFRESH_OVERLAY = 1,
  TV_WIN_REFRESH_GRAB = 2
} TV_WIN_REFRESH_MODE;

extern TV_WIN_REFRESH_MODE tv_win_refresh_mode;
